# Uses of Enum Class
org.bukkit.entity.Ocelot.Type

Packages that use Ocelot.Type
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Ocelot.Type in org.bukkit.entity

Methods in org.bukkit.entity that return Ocelot.Type
Modifier and Type
Method
Description
`@NotNull Ocelot.Type`
Ocelot.`getCatType()`
Gets the current type of this cat.
`static @Nullable Ocelot.Type`
Ocelot.Type.`getType(int id)`
Deprecated.
Magic value
`static Ocelot.Type`
Ocelot.Type.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Ocelot.Type[]`
Ocelot.Type.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Ocelot.Type
Modifier and Type
Method
Description
`void`
Ocelot.`setCatType(@NotNull Ocelot.Type type)`
Sets the current type of this cat.